y
<div class="container">
    <h2>Nota Retur {{ noretur }}</h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px">
            <div class="row">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="input_tgl">No Nota Retur</label>
                            </div>
                            <div class="ui-g-8">
                                <input class="form-control" name="hal" id="field_hal" [(ngModel)]="retur.noretur"
                                    readonly />
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="input_tgl">Tanggal Dokumen</label>
                            </div>
                            <div class="ui-g-6">
                                <p-calendar inputId="input_tgl" name="input_tgl" [(ngModel)]="tgl" dateFormat="dd-MM-yy"
                                    [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                                    disabled></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="input_taxno">No Faktur Pajak</label>
                            </div>
                            <div class="ui-g-6">
                                <input class="form-control" name="taxno" id="field_invoiceno" [(ngModel)]="taxno"
                                    (blur)="cekFP(taxno)" readonly />
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="input_dttax">Tanggal Faktur Pajak</label>
                            </div>
                            <div class="ui-g-6">
                                <p-calendar inputId="input_dttax" name="input_dttax" [(ngModel)]="dttax"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                    yearRange="2000:2999" appendTo="body" disabled></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            </div>
                            <div class="ui-g-6">
                                <input class="form-control" name="nmspl" id="field_nmspl" [(ngModel)]="retur.suppname"
                                    readonly />
                            </div>
                        </div>
                    </div>

                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_kdspl">Kode Supplier</label>
                            </div>
                            <div class="ui-g-6">
                                <input class="form-control" name="kdspl" id="field_kdspl" [(ngModel)]="retur.suppcode"
                                    readonly />
                            </div>
                        </div>
                    </div>

                    <div class="ui-g-12">
                        <div class="form-group">
                            <div class="ui-g-4">
                                <label class="form-control-label" for="field_kdspl">Jenis Payment NR ?</label>
                            </div>
                            <div class="ui-g-6">
                                <select class="form-control" id="jenis_pv" name="jenis_pv" readonly
                                    [(ngModel)]="jenis_pv" style="width: 100%">
                                    <option value="null">Payment</option>
                                    <option value="1">Non Payment</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <div class="ui-g-4">
            <!-- <button type="button" label="cari" class="btn btn-danger btn-block" (click)="openLOV()">
                <span>Cari Nomor BBK</span>
            </button> -->
            <button type="button" [routerLink]="['/', { outlets: { popup: 'union-lhp-lov/NR' } }]" replaceUrl="true"
                label="cari" class="btn btn-danger btn-block" readonly>
                <span>Cari Nomor lhp</span>
            </button>
        </div>
        <div class="ui-g-12">
            <p-dataTable [value]="returItems" [editable]="true">
                <header></header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{ rowIndex + 1 }}
                    </ng-template>
                </p-column>
                <p-column header="No LHP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a (click)="openPdf(rowData)">{{ rowData.nolhp }}</a>
                    </ng-template>
                </p-column>
                <p-column header="No BBK">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <a (click)="openPdf1(rowData)">{{ rowData.nobbk }}</a>
                    </ng-template>
                </p-column>
                <p-column header="Macam dan Jenis BKP">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.productcode }} - {{ rowData.productname }}
                    </ng-template>
                </p-column>
                <p-column header="Kuantum">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{ rowData.uom }} {{ rowData.qty | number : "1.0-2" }}
                    </ng-template>
                </p-column>
                <!-- <p-column header="Quantity">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column> -->
                <p-column header="Harga Satuan Menurut Faktur Pajak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" onkeydown="javascript: return event.keyCode == 69 ? false : true"
                            name="price" id="field_price" [(ngModel)]="rowData.price"
                            (blur)="calculateTotalPrice(rowData)" style="width: 200px" readonly />
                    </ng-template>
                </p-column>
                <p-column header="Harga Jual (BKP) (RP)">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" name="totalprice" id="field_totalprice" [(ngModel)]="rowData.totalprice"
                            style="width: 200px" readonly />
                    </ng-template>
                </p-column>
                <p-column header="Catatan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <textarea [(ngModel)]="rowData.catatan" autofocus="autofocus" rows="3" cols="30" pInputTextarea
                            autoResize="autoResize" style="width: 200px" readonly>
            </textarea>
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit" (click)="deleteRow(rowData)"
                            class="ui-button-danger flat-label-button" icon="fa fa-remove" pTooltip="Hapus Item"
                            disabled></button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
        <div class="ui-g-12" style="margin-bottom: 50px">
            <div class="ui-g-2"></div>
            <div class="ui-g-10">
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Jumlah Harga Jual BKP yang
                            dikembalikan</label>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                        <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan1"
                            (click)="calculateTotalPrice1()" disabled></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{
                            lblpembualatan1
                            }}</label>
                    </div>
                    <div class="ui-g-4" *ngIf="pembulatan1 === true">
                        <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan1"
                            (click)="calculateTotalPrice1()" disabled></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{
                            lbljnspembulatan1
                            }}</label>
                    </div>
                    <div class="ui-g-4" *ngIf="pembulatan1 === false">
                        <label class="form-control-label" for="field_Tipe">&nbsp;</label>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">&nbsp;</label>
                    </div>
                    <div class="ui-g-8">
                        <input currencyMask class="form-control" name="jumlah" id="field_jumlah" [(ngModel)]="jumlah"
                            [options]="{
                prefix: '',
                thousands: ',',
                decimal: '.',
                precision: '2'
              }" readonly />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">PPN yang Diminta Kembali</label>
                        <p-checkbox name="isppn" binary="true" [(ngModel)]="checkPPN" (onChange)="checkIsPPn()"
                            disabled>
                        </p-checkbox>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                        <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan"
                            (click)="checkIsPPn()" disabled></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{
                            lblpembualatan
                            }}</label>
                    </div>
                    <div class="ui-g-4" *ngIf="pembulatan === true">
                        <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan"
                            (click)="checkIsPPn()" disabled></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{
                            lbljnspembulatan
                            }}</label>
                    </div>
                    <div class="ui-g-4" *ngIf="pembulatan === false">
                        <label class="form-control-label" for="field_Tipe">&nbsp;</label>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">&nbsp;</label>
                    </div>
                    <div class="ui-g-8">
                        <input currencyMask class="form-control" name="ppn" id="field_ppn" [(ngModel)]="retur.ppn"
                            [options]="{
                prefix: '',
                thousands: ',',
                decimal: '.',
                precision: '2'
              }" [disabled]="true" readonly />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">PPNBM yang Diminta Kembali</label>
                    </div>
                    <div class="ui-g-8">
                        <input currencyMask class="form-control" name="totaldisc" id="field_totaldisc"
                            [(ngModel)]="retur.ppnbm" [options]="{
                prefix: '',
                thousands: ',',
                decimal: '.',
                precision: '2'
              }" placeholder="Isi Jumlah Uang" (blur)="countGrandTotal()" readonly />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Grand Total</label>
                    </div>
                    <div class="ui-g-8">
                        <input currencyMask class="form-control" name="grandtot" id="field_grandtot"
                            [(ngModel)]="retur.grandtot" [options]="{
                prefix: '',
                thousands: ',',
                decimal: '.',
                precision: '2'
              }" readonly />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">No. Coretax</label>
                    </div>
                    <div class="ui-g-8">
                        <input type="text" class="form-control" name="grandtot" id="field_grandtot"
                            [(ngModel)]="retur.no_coretax" [disabled]="!isEdit" maxlength="17" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="input_tgl">Tanggal Coretax</label>
                        </div>
                        <div class="ui-g-6">
                            <p-calendar inputId="tgl_coretax" name="tgl_coretax" [(ngModel)]="retur.tgl_coretax"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" appendTo="body" [disabled]="!isEdit"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <div class="ui-g-4">
                            <label class="form-control-label" for="input_tgl">Lampiran Coretax</label>
                        </div>
                        <div class="ui-g-6">
                            <p-lightbox type="content">
                                <a class="group" href="#">
                                    <img [src]="
                      'data:' +
                      retur.contentContentType +
                      ';base64,' +
                      retur.content
                    " style="max-height: 230px" alt="Lampiran Coretax" />
                                </a>
                            </p-lightbox>
                            <div>
                                <img [src]="
                    'data:' +
                    retur.contentContentType +
                    ';base64,' +
                    retur.content
                  " style="max-height: 300px" *ngIf="retur.content" alt="Lampiran Coretax" />
                                <div *ngIf="retur.content" class="form-text text-danger clearfix">
                                    <span class="pull-left">{{ retur.contentContentType }},
                                        {{ byteSize(retur.content) }}</span>
                                    &nbsp;&nbsp;&nbsp;
                                    <button type="button" (click)="
                      clearInputImage(
                        'content',
                        'contentContentType',
                        'fileImage'
                      )
                    " class="btn btn-secondary" [disabled]="!isEdit">
                                        <span class="fa fa-times"></span>
                                    </button>
                                    <button type="button" (click)="openPDF('content', 'contentContentType')"
                                        class="btn btn-secondary">
                                        <span class="fa fa-eye"></span>
                                    </button>
                                </div>
                                <input type="file" id="file_content"
                                    (change)="setFileData($event, retur, 'content', true)"
                                    accept=".pdf,.doc,.docx, image/*" jhiTranslate="entity.action.addimage"
                                    [disabled]="!isEdit" />
                                <div [hidden]="!isValidImage" class="text-danger">
                                    {{ "mpmApp.document.fileLimit" | translate }}
                                </div>
                                <div>
                                    <small>max file size: {{ maxFileSize | ByteSize }}</small>
                                </div>
                                <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                                <input type="text" style="display: none" name="isInsertFile" [(ngModel)]="isInsertFile"
                                    required />
                                <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                            </div>
                            <input type="hidden" class="form-control" name="content" id="field_content"
                                [(ngModel)]="retur.content" />
                            <input type="hidden" class="form-control" name="contentContentType"
                                id="field_contentContentType" [(ngModel)]="retur.contentContentType" />
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label class="form-control-label" for="field_Tipe">Keterangan</label>
                    </div>
                    <div class="ui-g-8">
                            <textarea name="keterangan_coretax" id="keterangan_coretax" [(ngModel)]="retur.keterangan_coretax" [disabled]="!isEdit" class="form-control"></textarea>
                    </div>
                </div>
            </div>
            <div class="ui-g-12">
                <div class="btn-group flex-btn-group-container">
                    <div *ngIf="!isUpdate">
                        <button pButton type="submit" label="Simpan" icon="fa-save"
                            class="ui-button-primary flat-label-button" (click)="createRetur()"
                            [disabled]="!isEdit"></button>
                    </div>
                    <div *ngIf="isUpdate">
                        <button pButton type="submit" label="Update" icon="fa-save"
                            class="ui-button-primary flat-label-button" (click)="updateRetur()"
                            [disabled]="!isEdit"></button>
                    </div>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px"></div>
<p-confirmDialog></p-confirmDialog>